

#include <Sockets/server_socket.hpp>

#include "main.hpp"

// Qt include.
#include <QtCore/QCoreApplication>
#include <QtCore/QTimer>


//
// Object
//

Object::Object( ServerSocket * socket )
	:	m_socket( socket )
{
	QTimer::singleShot( 0, this, SLOT( slotDoThis() ) );
}

void
Object::slotDoThis()
{
	m_socket->doThis();

	QTimer::singleShot( 0, this, SLOT( slotDoThis() ) );
}


int main( int argc, char ** argv )
{
	QCoreApplication app( argc, argv );

	ServerSocket socket;
	Object object( &socket );

	socket.listen( QHostAddress::Any, 4545 );

	return app.exec();
}
