
#ifndef CLIENT_SOCKET_HPP__INCLUDED
#define CLIENT_SOCKET_HPP__INCLUDED

// Qt include.
#include <QtNetwork/QTcpSocket>


//
// ClientSocket
//

class ClientSocket
	:	public QTcpSocket
{
	Q_OBJECT

public:
	ClientSocket( QObject * parent = 0 );
	~ClientSocket();

	void sendData();

private slots:
	//! New data available.
	void slotReadyRead();
}; // class ClientSocket

#endif // CLIENT_SOCKET_HPP__INCLUDED
